RemoveEntitlementBinding
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestSchema.RemoveEntitlementBinding(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.RequestSchemaServiceRemoveEntitlementBindingResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestSchema.removeEntitlementBinding();
console.log(result);
}
run();curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/request_schema_entitlement_binding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entitlementRef": {
"appId": "<string>",
"id": "<string>"
},
"requestSchemaId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/request_schema_entitlement_binding"
payload = {
"entitlementRef": {
"appId": "<string>",
"id": "<string>"
},
"requestSchemaId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entitlementRef: {appId: '<string>', id: '<string>'},
requestSchemaId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/request_schema_entitlement_binding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Request Schema Entitlement Binding
Remove Entitlement Binding
Invokes the c1.api.request_schema.v1.RequestSchemaService.RemoveEntitlementBinding method.
DELETE
/
api
/
v1
/
request_schema_entitlement_binding
RemoveEntitlementBinding
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestSchema.RemoveEntitlementBinding(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.RequestSchemaServiceRemoveEntitlementBindingResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestSchema.removeEntitlementBinding();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Response
200 - application/json
Successful response
The RequestSchemaServiceRemoveEntitlementBindingResponse message.
Was this page helpful?
⌘I